

#    determine the type of access used for the VME server
#     and then name


if {[info exists env(VMEAccessServerTransport)] == 0} then {
     set Transport RPC
     set SOAPServer [inform ex obtain_SOAPServer VMEAccessServer]
     if {$SOAPServer != ""} then {set Transport SOAP}      ;#   there is a suitable SOAP server for this experiment
} else {
     set Transport $env(VMEAccessServerTransport)
     set SOAPServer ""
}

if {$Transport == "RPC"} {

    if {[info exists env(VMEServer)] == 0} then {set resource VME}  \
        else {set resource $env(VMEServer)}
        
    set RegisterServer $resource
} else {

    if {[info exists env(VMEAccessServerHost)] == 0} then {
        if {$SOAPServer != ""} {
            set VMEAccessServerHost [first [split $SOAPServer :]]
        } else {
            set VMEAccessServerHost localhost
        }
    } else {
        set VMEAccessServerHost $env(VMEAccessServerHost)
    }

    if {[info exists env(VMEAccessServerPort)] == 0} then {
        if {$SOAPServer != ""} {
            if {[llength [split $SOAPServer :]] == 2} then {
                set VMEAccessServerPort [second [split $SOAPServer :]]
            } else {set VMEAccessServerPort 8015}
        } else {
            set VMEAccessServerPort 8015
        }
    } else {
        set VMEAccessServerPort $env(VMEAccessServerPort)
    }

    package require VMEAccessClient
}

