




    set addressinfo [split $AddressData :]
    set A32Base [third $addressinfo]


   DefineRegister $Module xVME Firmware_Rev        "-a $A32Base -w 32 -o 0x1000 -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME GEO_Address         "-a $A32Base -w 32 -o 0x1002 -p rw -d 16 -l 5 -b 0 -z x"
   DefineRegister $Module xVME MCST/CBLT_Address   "-a $A32Base -w 32 -o 0x1004 -p rw -d 16 -l 8 -b 0 -z x"
   DefineRegister $Module xVME Bit_Set_1           "-a $A32Base -w 32 -o 0x1006 -p rw -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME Bit_Clear_1         "-a $A32Base -w 32 -o 0x1008 -p rw -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME Intr_Level          "-a $A32Base -w 32 -o 0x100a -p rw -d 16 -l 3 -b 0 -z d"
   DefineRegister $Module xVME Intr_Vec            "-a $A32Base -w 32 -o 0x100c -p rw -d 16 -l 8 -b 0 -z d"

   DefineRegister $Module xVME Status1             "-a $A32Base -w 32 -o 0x100e -p ro -d 16 -l 9 -b 0 -z x"
   DefineRegister $Module xVME Status1.Term        "-a $A32Base -w 32 -o 0x100e -p ro -d 16 -l 2 -b 6 -z d"
   DefineRegister $Module xVME Status1.DReady      "-a $A32Base -w 32 -o 0x100e -p ro -d 16 -l 1 -b 0 -z d"

   DefineRegister $Module xVME Ctrl1               "-a $A32Base -w 32 -o 0x1010 -p rw -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME Ctrl1.BERR          "-a $A32Base -w 32 -o 0x1010 -p rw -d 16 -l 1 -b 5 -z d"
   DefineRegister $Module xVME ADER_HIGH           "-a $A32Base -w 32 -o 0x1012 -p rw -d 16 -l 8 -b 0 -z x"
   DefineRegister $Module xVME ADER_LOW            "-a $A32Base -w 32 -o 0x1014 -p rw -d 16 -l 8 -b 0 -z x"
   DefineRegister $Module xVME MCST/CBLT_Ctrl      "-a $A32Base -w 32 -o 0x101a -p wo -d 16 -l 2 -b 0 -z x"
   DefineRegister $Module xVME Event_Trig          "-a $A32Base -w 32 -o 0x1020 -p rw -d 16 -l 5 -b 0 -z x"

   DefineRegister $Module xVME Status2             "-a $A32Base -w 32 -o 0x1022 -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME Status2.Bbits       "-a $A32Base -w 32 -o 0x1022 -p ro -d 16 -l 2 -b 1 -z d"

   DefineRegister $Module xVME EvCounter_Low       "-a $A32Base -w 32 -o 0x1024 -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME EvCounter_High      "-a $A32Base -w 32 -o 0x1026 -p ro -d 16 -l 8 -b 0 -z x"
   DefineRegister $Module xVME Incr_Event          "-a $A32Base -w 32 -o 0x1028 -p wo -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME Incr_Offset         "-a $A32Base -w 32 -o 0x102a -p wo -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME Fast_Clear_Window   "-a $A32Base -w 32 -o 0x102e -p rw -d 16 -l 0 -b 0 -z d"
   DefineRegister $Module xVME Bit_Set_2           "-a $A32Base -w 32 -o 0x1032 -p rw -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME Bit_Clear_2         "-a $A32Base -w 32 -o 0x1034 -p rw -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME W_Mem_Test_Addr     "-a $A32Base -w 32 -o 0x1036 -p wo -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME Mem_Test_High       "-a $A32Base -w 32 -o 0x1038 -p wo -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME Mem_Test_Low        "-a $A32Base -w 32 -o 0x103a -p wo -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME Crate               "-a $A32Base -w 32 -o 0x103c -p rw -d 16 -l 8 -b 0 -z d -i 1"
   DefineRegister $Module xVME Test_Event_Data     "-a $A32Base -w 32 -o 0x103e -p wo -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME EvCounter_Reset     "-a $A32Base -w 32 -o 0x1040 -p wo -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME FullScaleRange      "-a $A32Base -w 32 -o 0x1060 -p rw -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME R_Mem_Test_Addr     "-a $A32Base -w 32 -o 0x1064 -p wo -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME SW_Comm             "-a $A32Base -w 32 -o 0x1068 -p wo -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME Slide               "-a $A32Base -w 32 -o 0x106a -p rw -d 16 -l 8 -b 0 -z x"
   DefineRegister $Module xVME AAD                 "-a $A32Base -w 32 -o 0x1070 -p ro -d 16 -l 12 -b 0 -z x"
   DefineRegister $Module xVME BAD                 "-a $A32Base -w 32 -o 0x1072 -p ro -d 16 -l 12 -b 0 -z x"
   for {set index 0} {$index < 32} {incr index} {
      DefineRegister $Module xVME Threshold$index      "-a $A32Base -w 32 -o [expr 0x1080+$index+$index] -p rw -d 16 -l 8 -b 0 -z d -i 16"
      DefineRegister $Module xVME Disable$index        "-a $A32Base -w 32 -o [expr 0x1080+$index+$index] -p rw -d 16 -l 1 -b 8 -z d -i 0"
   }
   DefineRegister $Module xVME ROM.OUI_MSB         "-a $A32Base -w 32 -o 0x8026 -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME ROM.OUI             "-a $A32Base -w 32 -o 0x802a -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME ROM.OUI_LSB         "-a $A32Base -w 32 -o 0x802e -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME ROM.Version         "-a $A32Base -w 32 -o 0x8032 -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME ROM.BID_MSB         "-a $A32Base -w 32 -o 0x8036 -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME ROM.BID             "-a $A32Base -w 32 -o 0x803a -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME ROM.BID_LSB         "-a $A32Base -w 32 -o 0x803e -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME ROM.Rev             "-a $A32Base -w 32 -o 0x804e -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME ROM.Ser_MSB         "-a $A32Base -w 32 -o 0x8f02 -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME ROM.Ser_LSB         "-a $A32Base -w 32 -o 0x8f06 -p ro -d 16 -l 0 -b 0 -z x"

   DefineRegister $Module xVME DataItem            "-a $A32Base -w 32 -o 0x0 -p ro -d 32 -l 0 -b 0 -z x"
   DefineRegister $Module bVME Output_Buffer         "-a $A32Base -w 32 -o 0x0 -p ro -d 32 -z x -l 64"

puts "Defined $Module"
